Retrieve creator profile and summary metrics

GET/creators/{creator_id}

Agencies require roster:read and can retrieve roster members. Creator keys require profile:read and can retrieve only themselves.

AuthorizationBearer <token>

Public API key from creator or agency settings. The complete secret is shown once.

In: header

Path Parameters

creator_id*string
Match^[a-fA-F0-9]{24}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/creators/string"
{  "meta": {},  "request_id": "string",  "data": {    "id": "string",    "username": "string",    "display_name": "string",    "avatar_url": "http://example.com",    "bio": "string",    "location": "string",    "country": "string",    "languages": [      "string"    ],    "tags": [      "string"    ],    "socials": [      {        "id": "string",        "platform": "string",        "username": "string",        "display_name": "string",        "profile_url": "string",        "status": "string",        "followers": 0,        "average_views": 0,        "average_engagements": 0,        "engagement_rate": 0,        "metrics_updated_at": "2019-08-24T14:15:22Z"      }    ],    "summary_metrics": {      "total_followers": 0,      "metrics_updated_at": "2019-08-24T14:15:22Z"    },    "data_status": "available",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}